<?php //@ini_set('zlib.output_compression', 'Off');
	//* defino acceso al sistema WebyPlus */
	define( 'YPANEL_INI', true );
	//* defino camino al sistema WebyPlus
	include_once( 'yp_ypanel.php' );
	// recibo key
	if( isset( $_GET['key'] ) && $_GET['key'] != md5( yPanel::usuario() ) ){
		echo '<h1>Acceso Denegado</h1>'; exit;
	}
	//-- ubicacion del archivo
		$archivo	= $_GET['n'];
		$directorio = YPATH . YDS . $_GET['t'] . $archivo;
	//funcion descarga
		function download_file( $archivo, $downloadfilename = NULL ) {
			if (file_exists( $archivo )) {
				header( "Content-disposition: attachment; filename=" . basename($archivo) );
				header( "Content-type: " . mime_content_type ( $archivo ) );
				readfile($archivo); return true;
			}else{
				print '<h3>Acceso denegado!</h3>';	
			}
		}
	//** Inicio descarga */
		$peso	= filesize( $directorio );
		//if( download_file( $directorio, $archivo ) ){
		if( $peso < 2000000 ){
			download_file( $directorio, $archivo );
		}else{
			header("Location: ../" . $_GET['t'] . $archivo );
			//die( '<b>Error</b> no se puede descargar <b>' . $archivo . '</b>' );
		}

?>